# Method Parser.RCS()->parse()

Method parse

  ``this_program` parse(`array` `raw`, `void`|`function`(`string`:`void`) `progress_callback`, `void`|`int` `max_revisions`)`

Description

  Parse the RCS file `raw` and initialize all members of this object fully initialized.

Parameter `raw`

  The unprocessed RCS file.

Parameter `progress_callback`

  Passed on to parse_deltatext_sections.

Parameter `max_revisions`

  Maximum number of revisions to process. If unset, all revisions will be processed.

Returns

  The fully initialized object (only returned for API convenience; the object itself is destructively modified to match the data extracted from `raw`)

See also

  parse_admin_section, parse_delta_sections, parse_deltatext_sections, create